Bug 485595 - Xsession defunct
Xsession defunct
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: imsettings (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
: Reopened
: 486809 492296 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-14 21:03 EST by Marcus Alves Grando
Modified: 2013-03-06 07:02 EST (History)
7 users (show)

See Also:
Fixed In Version: 0.105.1-4.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-27 10:53:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
.xsession-errors (13.82 KB, text/plain)
2009-02-14 21:03 EST, Marcus Alves Grando
no flags Details
gdb (13.79 KB, text/plain)
2009-03-09 22:04 EDT, Marcus Alves Grando
no flags Details

  None (edit)
Description Marcus Alves Grando 2009-02-14 21:03:12 EST
Created attachment 331949 [details]
.xsession-errors

Xsession defunct in Fedora 10.

Since  I installed Xsession always defunct.

Process list after gdm.

root      2038  0.0  0.3   7532  2752 ?        S    11:40   0:00  \_ /usr/libexec/gdm-simple-slave --display-id /org/gnome/DisplayManager/Display1 --force-active-vt
root      2039  1.5  5.3  49220 40548 tty1     Rs+  11:40  11:33      \_ /usr/bin/Xorg :0 -nr -verbose -auth /var/run/gdm/auth-for-gdm-6fa1GE/database -nolisten tcp vt1
root      2272  0.0  0.3   6152  2932 ?        S    11:41   0:00      \_ /usr/libexec/gdm-session-worker
marcus    2332  0.0  1.0  32160  7716 ?        Ssl  11:41   0:00          \_ gnome-session
marcus    2609  0.0  0.0      0     0 ?        Z    11:42   0:00              \_ [Xsession] <defunct>
marcus    2647  0.0  0.4  15408  3340 ?        S    11:42   0:00              \_ /usr/lib/gnome-session/helpers/gnome-keyring-daemon-wrapper
marcus    2657  0.0  1.8  26448 14276 ?        S    11:42   0:15              \_ metacity
marcus    2658  0.0  2.2  55744 17040 ?        S    11:42   0:04              \_ gnome-panel
marcus    2661  0.0  2.3  85488 17944 ?        S    11:42   0:01              \_ nautilus --no-desktop --browser
marcus    2665  0.0  1.8  53672 14040 ?        S    11:42   0:01              \_ gnome-power-manager
marcus    2667  0.0  1.6  70120 12856 ?        S    11:42   0:05              \_ nm-applet --sm-disable
marcus    2669  0.0  0.8  19244  6696 ?        S    11:42   0:00              \_ kerneloops-applet
marcus    2670  0.0  0.9  19880  7292 ?        S    11:42   0:00              \_ bluetooth-applet
marcus    2672  0.0  1.7  26200 13628 ?        S    11:42   0:30              \_ imsettings-applet --disable-xsettings
marcus    2683  0.0  1.9  31224 14752 ?        S    11:42   0:00              \_ python /usr/share/system-config-printer/applet.py

Regards
Comment 1 Marcus Alves Grando 2009-03-06 15:48:14 EST
This is something related with imsettings-xim. After enable and disable IM settings, works fine again.

marcus    2339  0.3  0.6  31592  6692 ?        Ssl  17:45   0:00          \_ gnome-session
marcus    2497  0.0  0.0   4812   496 ?        S    17:45   0:00              \_ /bin/bash /etc/gdm/Xsession gnome-session
marcus    2499  0.0  0.3  12220  4048 ?        S    17:45   0:00              |   \_ imsettings-xim

But I got some crashes in imsessings-xim.

Regards
Comment 2 Akira TAGOH 2009-03-08 21:30:36 EDT
Well, this issue should went away after the update and reboot because it won't bring up by default. there was an issue in handover a process to take care of XIM and gave up to provide full features of imsettings for legacy desktops now.
Comment 3 Akira TAGOH 2009-03-08 21:33:00 EDT
sorry for false alarm. I was confused. will do so in next updates.
Comment 4 Marcus Alves Grando 2009-03-09 22:04:29 EDT
Created attachment 334591 [details]
gdb

TAGOH,

I resolved to investigate a litte more and generate a gdb for you. In compose.c:568 g_convert generate one error with NULL error->message. Because that imsettings-xim fail when try to free error.

File attached.

Regards
Comment 5 Akira TAGOH 2009-03-09 22:42:08 EDT
Thanks for a backtrace. I should use g_clear_error instead of g_error_free since this function tries to parse a line and just skip it when an error occurs. the double free exactly happened because didn't nullify a GError already freed. BTW no crashes happens with even error->message is NULL. g_free takes care of it properly.
Comment 6 Marcus Alves Grando 2009-03-10 12:33:44 EDT
Akira,

g_clear_error(&error) works fine. Now imsettings-xim does not ABORT anymore.

I saw some errors in .xsession-errors is it a problem?

W[ 1236702746.413240]:Error while processing a value type NestedList: Error while processing a value type XFontSet: Unable to compose a value type XFontSet properly due to the size difference: expected size: 209, actual size: 212

(imsettings-xim:12136): libimsettings-xim-CRITICAL **: sequence_lookup: assertion `seq->candidates != NULL' failed
E[ 1236702750.372049]:No implementation or an error occurred in XIM_DESTROY_IC [imid: 1, icid: 1]

Regards
Comment 7 Akira TAGOH 2009-03-10 21:45:10 EDT
Cool. and thank you for more info. that warning could be ignored but not an error and a critical message.
Which the keyboard layout, the keyboard model, and language are you using?
Comment 8 Akira TAGOH 2009-03-12 03:10:37 EDT
One more question. can you reproduce that, particularly that critical message? when did you see what you typed?
Comment 9 Marcus Alves Grando 2009-03-12 03:39:00 EDT
(In reply to comment #7)
> Cool. and thank you for more info. that warning could be ignored but not an
> error and a critical message.
> Which the keyboard layout, the keyboard model, and language are you using?  

$ cat /etc/sysconfig/keyboard 
KEYBOARDTYPE="pc"
KEYTABLE="br-abnt2"
LAYOUT="br"
MODEL="abnt2"
OPTIONS=""
VARIANT=""
$ gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd
 layouts = [br]
 model = abnt2
 options = [grp	grp:shift_caps_toggle]
$ xprop -root | grep XKB
_XKB_RULES_NAMES_BACKUP(STRING) = "evdev", "evdev", "us", "", ""
_XKB_RULES_NAMES(STRING) = "evdev", "abnt2", "br", "", "grp:shift_caps_toggle"

(In reply to comment #8)
> One more question. can you reproduce that, particularly that critical message?
> when did you see what you typed?  

Yes. Just kill imsettings-xim, start in gnome-terminal and execute urxvt or xterm for example.

$ imsettings-xim 

(imsettings-xim:31090): libimsettings-xim-WARNING **: Child sequence won't be matched.: <Multi_key> <apostrophe> <comma> <C>	

(imsettings-xim:31090): libimsettings-xim-WARNING **: Child sequence won't be matched.: <Multi_key> <apostrophe> <comma> <c>	

(imsettings-xim:31090): libimsettings-xim-WARNING **: Invalid entry [no symbol]: <U17ff> :   "ាំ"


(imsettings-xim:31090): libimsettings-xim-WARNING **: Invalid entry [no symbol]: <U17fe> :   "ោះ"


(imsettings-xim:31090): libimsettings-xim-WARNING **: Invalid entry [no symbol]: <U17fd> :   "េះ"


(imsettings-xim:31090): libimsettings-xim-WARNING **: Invalid entry [no symbol]: <U17fc> :   "ុំ"


(imsettings-xim:31090): libimsettings-xim-WARNING **: Invalid entry [no symbol]: <U17fb> :   "ុះ"


(imsettings-xim:31090): libimsettings-xim-WARNING **: Invalid entry [no symbol]: <UFEFB>	:   "لا" # ARABIC LIGATURE LAM WITH ALEF


(imsettings-xim:31090): libimsettings-xim-WARNING **: Invalid entry [no symbol]: <UFEF7>	:   "لأ" # ARABIC LIGATURE LAM WITH ALEF WITH HAMZA ABOVE


(imsettings-xim:31090): libimsettings-xim-WARNING **: Invalid entry [no symbol]: <UFEF9>	:   "لإ" # ARABIC LIGATURE LAM WITH ALEF WITH HAMZA BELOW


(imsettings-xim:31090): libimsettings-xim-WARNING **: Invalid entry [no symbol]: <UFEF5>	:   "لآ" # ARABIC LIGATURE LAM WITH ALEF WITH MADDA ABOVE

W[ 1236842898.847361]:Error while processing a value type NestedList: Error while processing a value type XFontSet: Unable to compose a value type XFontSet properly due to the size difference: expected size: 209, actual size: 212
E[ 1236842907.787561]:No implementation or an error occurred in XIM_DESTROY_IC [imid: 1, icid: 1]
^C

Regards
Comment 10 Akira TAGOH 2009-03-12 05:29:05 EDT
Thanks. I guess your locale may be pt_BR.UTF-8 right?
these invalid entry things are already fixed in upstream. I'm pondering to backport it.

Moreover I see weird warnings.. please let me know how to type that if you know:

I've found some sequences that is duplicate partly. for example:
<Multi_key> <U1107> <U1107> <U110b> (result: U112c)

and

<Multi_key> <U1107> <U1107> (result: U1108)

when I type it after 2nd U1107, I see U1108 and just U110b after pressing a key U110b assigned.
Aside from that:

<Multi_key> <apostrophe> <comma> (result: "‚" U201a)

and

<Multi_key> <apostrophe> <comma> <C> (result: "Ḉ" U1E08)

as it's there in Comment #9 too. in either cases, the later sequences overwrites first one. i.e. no character appears after pressing comma for the above example but U1E08 after C. is it really supposed to work on XKB?

FWIW XMODIFIERS=@im=none would uses XKB instead of libgxim/imsettings.
Comment 11 Marcus Alves Grando 2009-03-12 22:32:00 EDT
(In reply to comment #10)
> Thanks. I guess your locale may be pt_BR.UTF-8 right?

Yes, right.

> these invalid entry things are already fixed in upstream. I'm pondering to
> backport it.

It's good.

> 
> Moreover I see weird warnings.. please let me know how to type that if you
> know:
> 
> I've found some sequences that is duplicate partly. for example:
> <Multi_key> <U1107> <U1107> <U110b> (result: U112c)
> 
> and
> 
> <Multi_key> <U1107> <U1107> (result: U1108)
> 
> when I type it after 2nd U1107, I see U1108 and just U110b after pressing a key
> U110b assigned.
> Aside from that:
> 
> <Multi_key> <apostrophe> <comma> (result: "‚" U201a)
> 
> and
> 
> <Multi_key> <apostrophe> <comma> <C> (result: "Ḉ" U1E08)
> 
> as it's there in Comment #9 too. in either cases, the later sequences
> overwrites first one. i.e. no character appears after pressing comma for the
> above example but U1E08 after C. is it really supposed to work on XKB?
> 
> FWIW XMODIFIERS=@im=none would uses XKB instead of libgxim/imsettings.  

I didn't type anything, just start urxvt. But i have another bug opened with dead keys problems. When I use your tip about XMODIFIERS, dead keys back to work in urxvt.

https://bugzilla.redhat.com/show_bug.cgi?id=483840

When you say "fixed in upstream", it's inly imsettings? or another lib/software too?

Best regards.
Comment 12 Akira TAGOH 2009-03-12 23:20:58 EDT
(In reply to comment #11)
> I didn't type anything, just start urxvt.

Right. I was just asking another thing relates to the combinations of keys in XKB so that I'm not familiar with it. my question was is "<Multi_key> <U1107> <U1107> <U110b>" and "<Multi_key> <apostorophe> <comma>" supposed to work?

>                                           But i have another bug opened with
> dead keys problems. When I use your tip about XMODIFIERS, dead keys back to
> work in urxvt.

That means it's a bug in imsettings. and probably which I've found and I have fixed yesterday..

> When you say "fixed in upstream", it's inly imsettings? or another lib/software
> too?

only imsettings.
Comment 13 Marcus Alves Grando 2009-03-13 16:55:53 EDT
(In reply to comment #12)
> (In reply to comment #11)
> > I didn't type anything, just start urxvt.
> 
> Right. I was just asking another thing relates to the combinations of keys in
> XKB so that I'm not familiar with it. my question was is "<Multi_key> <U1107>
> <U1107> <U110b>" and "<Multi_key> <apostorophe> <comma>" supposed to work?

I can test, but I don't know which keyboard combination is need. "<U1107>", "<Multi_key>" and others are too incompressible to me. I prefer something like ctrl+c+', etc.

Regards

> 
> >                                           But i have another bug opened with
> > dead keys problems. When I use your tip about XMODIFIERS, dead keys back to
> > work in urxvt.
> 
> That means it's a bug in imsettings. and probably which I've found and I have
> fixed yesterday..

True. I tested your version that you said in another bugzilla.

Regards
Comment 14 Zoltan Hoppar 2009-03-16 12:28:41 EDT
*** Bug 486809 has been marked as a duplicate of this bug. ***
Comment 15 Fedora Update System 2009-03-17 02:55:21 EDT
imsettings-0.105.1-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/imsettings-0.105.1-4.fc10
Comment 16 Fedora Update System 2009-03-18 15:13:54 EDT
imsettings-0.105.1-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update imsettings'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2843
Comment 17 Fernando Herrera 2009-03-26 15:09:43 EDT
*** Bug 492296 has been marked as a duplicate of this bug. ***
Comment 18 Fedora Update System 2009-03-27 10:53:01 EDT
imsettings-0.105.1-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Attila 2013-03-06 07:02:44 EST
Hi, 

Looks like this bug is still available in Red Hat 6.3
2.6.32-279.19.1.el6.x86_64 #1 SMP Wed Nov 28 19:02:25 CET 2012 x86_64 x86_64 x86_64 GNU/Linux

Red Hat Enterprise Linux Workstation release 6.3 (Santiago)


attila    4157  0.0  0.0      0     0 ?        Z    Mar04   0:00              \_ [Xsession] <defunct>
attila    4161  0.0  0.0 106092  1216 ?        S    Mar04   0:00              \_ /bin/sh /opt/ibm/c4eb/wst/bin/wst-applet IMSETTINGS_INTEGRATE_DESKTOP=yes TERM=dumb SHELL=/bin/bash XDG_SESSION_COOKIE=7a0a1b34cabc003ef26290ce0000002b-1362
attila    4176  0.0  0.2 332208 21508 ?        S    Mar04   0:04              |   \_ /usr/bin/python -c import wst.linux.applet as wla; wla.cli(); IMSETTINGS_INTEGRATE_DESKTOP=yes SHELL=/bin/bash TERM=dumb XDG_SESSION_COOKIE=7a0a1b34cabc
attila    4287  0.0  0.1 453480 15852 ?        Sl   Mar04   1:39              \_ metacity --sm-client-id 10e5cfb5540e9537d13518105148042600000006740044 HOSTNAME=tar.ibm.com IMSETTINGS_INTEGRATE_DESKTOP=yes SHELL=/bin/bash TERM=dumb HISTS
attila    4300  0.0  0.1 514744 14916 ?        Sl   Mar04   1:46              \_ gnome-panel --sm-client-id 106224b5122310ee7b134822682436573200000038760032 HOSTNAME=tar.ibm.com IMSETTINGS_INTEGRATE_DESKTOP=yes SHELL=/bin/bash TERM=dumb
attila    4422  0.0  0.4 1310664 40692 ?       Sl   Mar04   0:09              \_ nautilus --sm-client-id 106224b5122310ee7b134822682442271500000038760033 --sm-client-state-file /home/attila/.config/session-state/nautilus-1361705958.state

Note You need to log in before you can comment on or make changes to this bug.